org.baraza.web

## Class BForms

- java.lang.Object
- - org.baraza.web.BForms

-     public class BForms
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BForms(String dbconfig)`
    `BForms(String dbconfig, String at)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `String` | `csvFormat(String lans)`
    `String` | `getAnswer(String fieldid)`
    `String` | `getAnswer(String subfieldid, int answerline)`
    `String` | `getCellValue(org.apache.poi.hssf.usermodel.HSSFRow row, int column)`
    `String` | `getConvDate(String mydate)`
    `void` | `getExcelData(String fieldid, String entryformid, org.apache.commons.fileupload.FileItem item)`
    `String` | `getForm(String entryformid, Map<String,String[]> sParams)`
    `String` | `getFormField(String formid)`
    `String` | `getFormReport(String formid, String startDate, String endDate, String reportLevel)`
    `String` | `getFormReport(String formid, String startDate, String endDate, String reportLevel, String reportField)`
    `String` | `getFormReportSQL(String formid, String startDate, String endDate, String reportLevel)`
    `String` | `getFormType(String formid)`
    `String` | `getParameter(Map<String,String[]> params, String paramName)`
    `void` | `getReport(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `BElement` | `getXMLNode(String xmlStr)`
    `String` | `printFileUpload(String formid)`
    `String` | `printForm(String formid, String disabled, String process, boolean allowTabs)`
    `String` | `printSubForm(String fieldid, String disabled)`
    `String` | `printSubTable(String fieldid, String disabled, String caption, int num)`
    `void` | `readClientData(String entryformid)`
    `void` | `saveForm(String entryformid, Map<String,String[]> webparams)`
    `String` | `saveTable(String formid, String entryformid)`
    `String` | `submitForm(String formid, String entryformid)`
    `String` | `uploadFile(javax.servlet.http.HttpServletRequest request)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BForms

          public BForms(String dbconfig)

    - #### BForms

          public BForms(String dbconfig,
                String at)

  - ### Method Detail

    - #### getForm

          public String getForm(String entryformid,
                       Map<String,String[]> sParams)

    - #### getParameter

          public String getParameter(Map<String,String[]> params,
                            String paramName)

    - #### getFormType

          public String getFormType(String formid)

    - #### readClientData

          public void readClientData(String entryformid)

    - #### getXMLNode

          public BElement getXMLNode(String xmlStr)

    - #### getAnswer

          public String getAnswer(String fieldid)

    - #### getAnswer

          public String getAnswer(String subfieldid,
                         int answerline)

    - #### printForm

          public String printForm(String formid,
                         String disabled,
                         String process,
                         boolean allowTabs)

    - #### printSubTable

          public String printSubTable(String fieldid,
                             String disabled,
                             String caption,
                             int num)

    - #### printSubForm

          public String printSubForm(String fieldid,
                            String disabled)

    - #### printFileUpload

          public String printFileUpload(String formid)

    - #### saveForm

          public void saveForm(String entryformid,
                      Map<String,String[]> webparams)

    - #### submitForm

          public String submitForm(String formid,
                          String entryformid)

    - #### uploadFile

          public String uploadFile(javax.servlet.http.HttpServletRequest request)

    - #### getExcelData

          public void getExcelData(String fieldid,
                          String entryformid,
                          org.apache.commons.fileupload.FileItem item)

    - #### getCellValue

          public String getCellValue(org.apache.poi.hssf.usermodel.HSSFRow row,
                            int column)

    - #### getFormField

          public String getFormField(String formid)

    - #### getFormReportSQL

          public String getFormReportSQL(String formid,
                                String startDate,
                                String endDate,
                                String reportLevel)

    - #### getFormReport

          public String getFormReport(String formid,
                             String startDate,
                             String endDate,
                             String reportLevel,
                             String reportField)

    - #### getFormReport

          public String getFormReport(String formid,
                             String startDate,
                             String endDate,
                             String reportLevel)

    - #### getReport

          public void getReport(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)

    - #### csvFormat

          public String csvFormat(String lans)

    - #### getConvDate

          public String getConvDate(String mydate)

    - #### saveTable

          public String saveTable(String formid,
                         String entryformid)

    - #### close

          public void close()

Copyright © 2016 openBaraza. All Rights Reserved.